Subject: Re: [TR] Triple Weber Carbs on a TR6

From: John Macartney <[email-masked]>
Date: Sun, 1 Sep 2019 15:46:56 +0100

Try Australia! A lot of Triumph saloons built there with the 2500 engine used a triple stromberg setup. Not sure if the same applied to the 2000 engine a la GT6. Several Triumph groups in Oz on bookface and other feeds.

Jonmac

Whenever I feel the need for exercise, experience has shown me it is better to lie down until the feeling goes away. WINSTON CHURCHILL

> On 31 Aug 2019, at 21:44, Stan Foster <[email-masked]> wrote:
> 
> I think my setup is typical for a LHD car. The standard TR6 accelerator shaft and lever is connected via a rod to a bell crank that is attached under the manifold in the middle. The vertical rod from that bell crank is arrowed in the attached picture and the rest should be self explanatory.
> 
> Stan
> 
> -----Original Message-----
> From: Triumphs <[email-masked]> On Behalf Of Joe DeMuth
> Sent: Saturday, August 31, 2019 3:31 PM
> To: [email-masked]
> Subject: [TR] Triple Weber Carbs on a TR6
> 
> I currently have duel carbs but want to fit triples. I know I will need a new input manifold, no problem, but I am puzzled by what the accelerator linkage will like. That middle carb will be occupying the same space as the current linkage and will need to be modified, or replaced with something different.
> 
> Has anybody done this, and if so could you send a picture of the linkage?  Thanks.
> 
> Sent from my couch
> ** [email-masked] **
> 
> Donate: http://www.team.net/donate.html
> Archive: http://www.team.net/pipermail/triumphs  http://www.team.net/archive
> 
> Unsubscribe/Manage: http://autox.team.net/mailman/options/triumphs/[email-masked]
> ** [email-masked] **
> 
> Donate: http://www.team.net/donate.html
> Archive: http://www.team.net/pipermail/triumphs  http://www.team.net/archive
> 
> Unsubscribe/Manage: http://autox.team.net/mailman/options/triumphs/[email-masked]

** [email-masked] **

Archive: http://www.team.net/pipermail/triumphs  http://www.team.net/archive